Bananian Linux

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000184Bananian Linux[All Projects] Kernelpublic2016-01-09 21:272016-03-19 18:05
ReporterNico 
Assigned ToNico 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version15.08 
Target Version16.04Fixed in Version16.04 
Summary0000184: HDMI output turns off on inactivity
DescriptionHDMI output seems to turn off if the screen stays unchanged for an amount of time. Only returns on reboot.

Most probably related to sunxi kernel 3.4. The following workaround helps:

/etc/kbd/config:
BLANK_TIME=0
BLANK_DPMS=off
POWERDOWN_TIME=0
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000323)
jmartin (reporter)
2016-01-28 08:18

When using X the display still turns off if the workaround is used.

I added the following:
/etc/X11/Xsession.d/90x11-common_xset:
xset dpms force on
xset s off

This seems to work at least some of the time (possibly not with fbturbo, haven't tested too much).
(0000333)
Nico (manager)
2016-03-19 18:05

https://github.com/Bananian/etc/commit/5b3d721fd94cefa9ead3336b64076afadeeee1da [^]

- Issue History
Date Modified Username Field Change
2016-01-09 21:27 Nico New Issue
2016-01-09 21:27 Nico Status new => assigned
2016-01-09 21:27 Nico Assigned To => Nico
2016-01-28 08:18 jmartin Note Added: 0000323
2016-03-19 18:05 Nico Note Added: 0000333
2016-03-19 18:05 Nico Status assigned => resolved
2016-03-19 18:05 Nico Fixed in Version => 16.04
2016-03-19 18:05 Nico Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker